﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM
DATE:                  2017-03-29 11:39:18
AUTHOR:                Fluke
REVISION:              $Revision: 19022 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       82
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  DAC, VY, ZY
#
#  Source:            Hewlett Packard publication 54542-97045
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /DMM
  1.005  CALL         Sub Reset /DMM

  1.006  RSLT         =
  1.007  HEAD         {DC CALIBRATOR AMPLITUDE}

  1.008  TARGET       -p
  1.009  TSET         UUT_RES = 0.001
  1.010  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  1.011  DISP         Connect the [V @ModelNum] DC CAL terminal(rear panel) to
  1.011  DISP         [V @DMM_DevName] [V @DMM_InputHi] and [V @DMM_InputLo].

  1.012  TARGET       -m
  1.013  IEEE         *RST
# Press UUT "Utility" key.
  1.014  IEEE         MENU UTIL
# Press UUT "Service Menu" softkey.
  1.015  IEEE         SYST:KEY 14
# Press UUT "cal select" key. ("1 DC CAL BNC verify", "dac output", "0 volt").
  1.016  IEEE         SYST:KEY 10
  1.017  MATH         @DMM_Func = "DC_Voltage"
  1.018  CALL         Sub Measure /DMM
  1.019  WAIT         -t 2 System settling...
# Save UUT cal output baseline (0 volts) value.
  1.020  MATH         BaselineVal = MEM
# Calculate DMM specifications at measured (~0 volts) baseline value.
  1.021  CALL         Sub Get Accuracy /DMM
  1.022  MATH         DMM_Acc0V = @DMM_Acc
# Normalize specs for DMM Volts function at 0 V.
  1.023  MATH         DMM_Acc0V = DMM_Acc0V / SQRT(3)
# Press UUT "cal select" key. ("1 DC CAL BNC verify", "dac output", "5 volt").
  1.024  IEEE         SYST:KEY 11
  1.025  CALL         Sub Measure /DMM
  1.026  WAIT         -t 2 System Settling...
# Press UUT "EXIT MENU" key.
  1.027  IEEE         SYST:KEY 16
# Calculate DMM specifications at measured (~5 volts) topline value.
  1.028  CALL         Sub Get Accuracy /DMM
  1.029  MATH         DMM_Acc5V = @DMM_Acc
# Normalize specs for DMM Volts function at 5 V.
  1.030  MATH         DMM_Acc5V = DMM_Acc5V / SQRT(3)
# Compute difference between UUT cal output topline and baseline values.
  1.031  MATH         MEM = MEM - BaselineVal
# RSS normalized 0 and 5 V specifications and expand.
  1.032  MATH         L[1] = (RSS2(DMM_Acc0V, DMM_Acc5V))
  1.033  MATH         L[1] = L[1] * CONF(@DMM_DevName)
  1.034  ACC    5     V              L1U
  1.035  MEMC         5.000V         0.010U

  2.001  DISP         Disconnect the [V @DMM_DevName] from the UUT
  2.001  DISP         (rear panel) DC CAL OUTPUT.
# Clear the Menus.
  2.002  IEEE         *RST
  2.003  CALL         Sub Reset /DMM

  2.004  END
